<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/watchdog/src/watchdog_rti.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_b50d4b058e2c2ce09f854d00378223b6.html">watchdog</a></li><li class="navelem"><a class="el" href="dir_12afb0e31d51f74e3e550c2ece053a2b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">watchdog_rti.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The file implements the Watchdog Driver for the XWR14xx and XWR16xx. The file implements the driver to conform to the MCPI standards.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/MemoryP.h&gt;</code><br />
<code>#include &lt;<a class="el" href="watchdog__internal_8h.html">ti/drivers/watchdog/include/watchdog_internal.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga3b3af1084db69ceed06ea88b0ec99acc"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3b3af1084db69ceed06ea88b0ec99acc">WatchdogRTI_clear</a> (<a class="el" href="group___w_a_t_c_h_d_o_g___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32f7d4a399692204716cad0d8ca413fe">Watchdog_Handle</a> handle)</td></tr>
<tr class="separator:ga3b3af1084db69ceed06ea88b0ec99acc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf319bcb3f792ace2e179de1a906d06d1"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf319bcb3f792ace2e179de1a906d06d1">WatchdogRTI_close</a> (<a class="el" href="group___w_a_t_c_h_d_o_g___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32f7d4a399692204716cad0d8ca413fe">Watchdog_Handle</a> handle)</td></tr>
<tr class="separator:gaf319bcb3f792ace2e179de1a906d06d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac85bfb9ebf8979840032c8fc31d72a36"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac85bfb9ebf8979840032c8fc31d72a36">WatchdogRTI_control</a> (<a class="el" href="group___w_a_t_c_h_d_o_g___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32f7d4a399692204716cad0d8ca413fe">Watchdog_Handle</a> handle, uint32_t cmd, void *arg)</td></tr>
<tr class="separator:gac85bfb9ebf8979840032c8fc31d72a36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga71272d9284930878665edc11e5b51bb7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga71272d9284930878665edc11e5b51bb7">WatchdogRTI_init</a> (<a class="el" href="group___w_a_t_c_h_d_o_g___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32f7d4a399692204716cad0d8ca413fe">Watchdog_Handle</a> handle)</td></tr>
<tr class="separator:ga71272d9284930878665edc11e5b51bb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a30436f3c95ad4f0f528415e3779f37"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group___w_a_t_c_h_d_o_g___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32f7d4a399692204716cad0d8ca413fe">Watchdog_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6a30436f3c95ad4f0f528415e3779f37">WatchdogRTI_open</a> (<a class="el" href="group___w_a_t_c_h_d_o_g___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32f7d4a399692204716cad0d8ca413fe">Watchdog_Handle</a> handle, <a class="el" href="group___w_a_t_c_h_d_o_g___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32fdd367952eaca08e1aca542147abeb">Watchdog_Params</a> *params)</td></tr>
<tr class="separator:ga6a30436f3c95ad4f0f528415e3779f37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ec9d9d2dbef606a6bed9c82c87f84b3"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9ec9d9d2dbef606a6bed9c82c87f84b3">WatchdogRTI_callback</a> (void *arg)</td></tr>
<tr class="separator:ga9ec9d9d2dbef606a6bed9c82c87f84b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4c9cc2587dc89bae2acf3fb0735c0a3f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_watchdog___fxn_table__t.html">Watchdog_FxnTable</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="watchdog__rti_8c.html#a4c9cc2587dc89bae2acf3fb0735c0a3f">gWatchdogFxnTable</a></td></tr>
<tr class="memdesc:a4c9cc2587dc89bae2acf3fb0735c0a3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Watchdog Driver Function Table.  <a href="#a4c9cc2587dc89bae2acf3fb0735c0a3f">More...</a><br /></td></tr>
<tr class="separator:a4c9cc2587dc89bae2acf3fb0735c0a3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The file implements the Watchdog Driver for the XWR14xx and XWR16xx. The file implements the driver to conform to the MCPI standards. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2017 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="a4c9cc2587dc89bae2acf3fb0735c0a3f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_watchdog___fxn_table__t.html">Watchdog_FxnTable</a> gWatchdogFxnTable</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">{</div><div class="line">    &amp;<a class="code" href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3b3af1084db69ceed06ea88b0ec99acc">WatchdogRTI_clear</a>,</div><div class="line">    &amp;<a class="code" href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf319bcb3f792ace2e179de1a906d06d1">WatchdogRTI_close</a>,</div><div class="line">    &amp;<a class="code" href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac85bfb9ebf8979840032c8fc31d72a36">WatchdogRTI_control</a>,</div><div class="line">    &amp;<a class="code" href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga71272d9284930878665edc11e5b51bb7">WatchdogRTI_init</a>,</div><div class="line">    &amp;<a class="code" href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6a30436f3c95ad4f0f528415e3779f37">WatchdogRTI_open</a></div><div class="line">}</div><div class="ttc" id="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_gac85bfb9ebf8979840032c8fc31d72a36"><div class="ttname"><a href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac85bfb9ebf8979840032c8fc31d72a36">WatchdogRTI_control</a></div><div class="ttdeci">static int32_t WatchdogRTI_control(Watchdog_Handle handle, uint32_t cmd, void *arg)</div><div class="ttdef"><b>Definition:</b> watchdog_rti.c:207</div></div>
<div class="ttc" id="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_ga71272d9284930878665edc11e5b51bb7"><div class="ttname"><a href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga71272d9284930878665edc11e5b51bb7">WatchdogRTI_init</a></div><div class="ttdeci">static void WatchdogRTI_init(Watchdog_Handle handle)</div><div class="ttdef"><b>Definition:</b> watchdog_rti.c:314</div></div>
<div class="ttc" id="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_gaf319bcb3f792ace2e179de1a906d06d1"><div class="ttname"><a href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf319bcb3f792ace2e179de1a906d06d1">WatchdogRTI_close</a></div><div class="ttdeci">static void WatchdogRTI_close(Watchdog_Handle handle)</div><div class="ttdef"><b>Definition:</b> watchdog_rti.c:182</div></div>
<div class="ttc" id="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_ga6a30436f3c95ad4f0f528415e3779f37"><div class="ttname"><a href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6a30436f3c95ad4f0f528415e3779f37">WatchdogRTI_open</a></div><div class="ttdeci">static Watchdog_Handle WatchdogRTI_open(Watchdog_Handle handle, Watchdog_Params *params)</div><div class="ttdef"><b>Definition:</b> watchdog_rti.c:338</div></div>
<div class="ttc" id="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_ga3b3af1084db69ceed06ea88b0ec99acc"><div class="ttname"><a href="group___w_a_t_c_h_d_o_g___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3b3af1084db69ceed06ea88b0ec99acc">WatchdogRTI_clear</a></div><div class="ttdeci">static void WatchdogRTI_clear(Watchdog_Handle handle)</div><div class="ttdef"><b>Definition:</b> watchdog_rti.c:141</div></div>
</div><!-- fragment -->
<p>Watchdog Driver Function Table. </p>
<p>This is the Watchdog Driver registered function table. </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
